[CDBI] Couldn't require loader class "Class::DBI::Loader::mysql"

Matt S Trout dbix-class at trout.me.uk
Tue Apr 11 13:00:23 BST 2006


Robert Boone wrote:
> Not sure is this is the place for this but I will give it a shot.
> 
> 
> I'm trying to use CDL with this configuration:
> 
> my $loader = Class::DBI::Loader->new(
>   dsn => "dbi:mysql:keyshop:127.0.0.1",
>   user => "user",
>   password => "pass",
>   namespace => "Data",
>   debug => 1,
> );
> 
> When I run the script I get:
> 
> I'm not sure what's wrong. This works on Class::DBI::Loader version 0.22

try use-ing Class::DBI::mysql first.

It certainly seemed to work for the top dozen or so google results for your 
error message ...

-- 
      Matt S Trout       Offering custom development, consultancy and support
   Technical Director    contracts for Catalyst, DBIx::Class and BAST. Contact
Shadowcat Systems Ltd.  mst (at) shadowcatsystems.co.uk for more information

+ Help us build a better perl ORM: http://dbix-class.shadowcatsystems.co.uk/ +




More information about the ClassDBI mailing list